interface NativeAd {
    headline: string;
    description: string;
    advertiser: string;
    callToAction: string;
    image: string;
    icon: string;
    recordImpression: () => void;
    recordClick: () => void;
}
interface InterstitialAd {
    show: () => Promise<void>;
}
interface RewardedAd {
    show: () => Promise<boolean>;
}
declare function configure(appId: string): void;
declare function requestNativeAd(placementId: string): Promise<NativeAd>;
declare function requestInterstitialAd(placementId: string): Promise<InterstitialAd>;
declare function requestRewardedAd(placementId: string): Promise<RewardedAd>;

export { configure, requestInterstitialAd, requestNativeAd, requestRewardedAd };
